import { savePoint } from '@/services/common'
import { addItemShareNum } from '@/services/item'
import { addActivityShareNum, addHelpShareNum, addGroupShareNum, addHFiveShareNum } from '@/services/activity'
import { addCardShareNum } from '@/services/card'
import {
    addIndexShareNum,
    addNewsShareNum,
    addHousePosterNum,
    addHouseShareNum,
    addLivePosterNum,
    addLiveShareNum,
} from '@/services/news'


export default function addNum({ targetId, eventType }) {
  switch (eventType) {
    case 'main':
        addIndexShareNum(targetId)
        break;
    case 'building':
        addItemShareNum(targetId)
        break;
    case 'activity':
        addActivityShareNum(targetId)
        break;
    case 'consultant':
        addCardShareNum(targetId)
        break;
    case 'news':
        addNewsShareNum(targetId)
        break;
    // case 'houseApp':
    //     addHouseShareNum(targetId)
    //     break;
    // case 'housePoster':
    //     addHousePosterNum(targetId)
    //     break;
    // case 'liveApp':
    //     addLiveShareNum(targetId)
    //     break;
    // case 'livePoster':
    //     addLivePosterNum(targetId)
    //     break;
    // case 'help':
    //     addHelpShareNum(targetId)
    //     break;
    // case 'group':
    //     addGroupShareNum(targetId)
    //     break;
    // case 'h5':
    //     addHFiveShareNum(targetId)
    //     break;
    default:
      return
  }
}
